%define name	geeqie
%define version	1.1
%define release	%mkrel 0.svn20101203.2

%define docname	%{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphics file browser utility
License:	GPLv2+
Group:		Graphics
URL:		http://geeqie.sourceforge.net/

Source0:	%{name}.tar.xz

# sent upstream 2010/02/19 
# http://sourceforge.net/tracker/?func=detail&aid=2954914&group_id=222125&atid=1054680
Patch0:		geeqie_lib64.diff

# from various distro, all already submitted upstream
# from Fedora
Patch1:		geeqie-1.0-lfs-autoconf.patch
Patch2:		geeqie-1.0-exif-filecache.patch
Patch3:		geeqie-1.0-sidecars-case.patch
Patch4:		geeqie-1.0-vflist-refresh.patch
Patch5:		geeqie-1.0-exif-728802.patch
# nadvornik master tree, from Suse
Patch6:		geeqie-1.0-filedata-compare.patch
# upstream stable tree, from Debian
Patch7:		geeqie-1.0-copy-chown.patch
Patch8:		geeqie-1.0-ui_pathsel.patch



BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-2.0)

BuildRequires:	intltool
BuildRequires:	lirc-devel
BuildRequires:	gnome-doc-utils

# I don't use rename here because gqview is at v2.x and geeqie at v1.x
Obsoletes:		gqview
Provides:		gqview

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.



%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
sh autogen.sh
%configure2_5x --with-readmedir="%{_docdir}/%{docname}" \
				--enable-gps \
				--enable-lirc

%make

%install
%__rm -rf "%{buildroot}"
%makeinstall_std

# we make a link to ease the transition from gqview
# maybe in a distant future we'll get rid of it (written in 2012-02-27)
ln -s %{_bindir}/%{name} %{buildroot}/%{_bindir}/gqview


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc 
%{_bindir}/%{name}
%{_bindir}/gqview
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man1/%{name}*



%changelog

* Mon Feb 27 2012 julien <julien> 1.1-0.svn20101203.2.mga2
+ Revision: 215715
- obsolete gqview
- add a symbolic link to ease transition from gqview
- proper attribution of geeqie directory

* Sun Feb 26 2012 julien <julien> 1.1-0.svn20101203.1.mga2
+ Revision: 215292
- new tarball from dev tree without .svn dir
- compress with xz
- add patches from various source (mostly crash fix)
- clean specfile

  + petos <petos>
    - imported package geeqie

